Product Description

 Top Next

FBackup is an award-winning backup software for Windows. FBackup protects your valuable data from partial or total loss by automating backup tasks, password protecting and compressing it to save storage space. Using FBackup you can easily backup to any local, network drive, or other removable media (such as USB or Firewire drives).

FBackup can backup open/locked files (if the files are located on local partitions on Windows XP/2003/Vista/Windows 7) and it can perform full and mirror backups. When defining a backup you can also set file filters and schedule the backup for automatic execution.

There is also the option to run predefined backups, such as My Documents, My Pictures, Internet Explorer Favorites, Mozilla FireFox Profiles, Mozilla Thunderbird or Outlook Express emails and settings.

FBackup has ZIP64 support (can create backups over 2 GB) and creates standard zip files, meaning that you can access it with any zip compatible utility.

FBackup keeps track of file versions. You can easily restore any version of files or a whole folder. You can filter files to be restored.

FBackup tests the backup files automatically to ensure the backup is safe and correctly executed (uses CRC32).

FBackup works with any drive letter, including mapped network drives and UNC paths.

FBackup runs on Windows 2000/2003/XP/Vista/Windows 7 and offers multi language support.

Related Topics:

Installation

System Requirements


System Requirements

 Top Previous Next

To install FBackup you need Windows 2000/XP/Server 2003/Vista or Windows 7 and at least 30 megabytes of free disk space. Installing additional language files may increase the space requirements.

Because the application uses zip compression, additional disk space is needed for the temporary directory. The amount of free space depends on the size of files to backup.

Note: FBackup can backup open files only if installed on Windows XP, Windows 2003 Server, Windows Vista or Windows 7 and if the files are on NTFS partitions. FBackup works on Windows 2000 too but this feature will not be available on these systems.

Related topics:


Installation

Install

To install FBackup on a computer you need to have administrative rights. The installation process does not take much time. All you need to do is to follow the instructions of the FBackup Setup Wizard. There is no need to reboot at the end of the setup, you can run the program right after it is installed on your machine.

If you have already installed an older version of FBackup, you can install the new version on top of the older one, no need to uninstall it (the installer will recognize if the program is running and ask if you wish to close it in order to continue). You might need to close FBackup manually if it is in a middle of an operation.

When you start the installation process you will be prompted to choose a language for the setup wizard. Later during the setup you can check to install other language files too. If you install multiple language files, FBackup will use the selected language as the default one. After installation, to switch between them, go to FBackup's menu, select Tools->Options->General

Steps during installation:

1) Select setup language - you need to choose from the drop-down box a language for the setup wizard

2) Setup welcome message - press Next to continue

6). Select additional tasks

· Create a desktop icon - checked by default, places a shortcut on desktop
· Associate FBackup 4 with the ".fkc" extension - checked by default, will associate the .fkc files with FBackup (".fkc" are catalogs created by FBackup after each backup)
· Start on Windows startup - if checked FBackup will load each time Windows starts
· Create a Quick Launch icon - checked by default, places an icon in the Quick Launch toolbar
· Check for updates weekly

8) Select languages for the interface - you can check to multiple languages for FBackup's interface

9) Select default interface language - if multiple languages were selected, you need to select a default one

10) Ready to install FBackup. Click on Install to start the installation.

Uninstall

To uninstall FBackup, first you need to close the application. Then go to the FBackup application group (from the Windows Start -> Programs -> FBackup 4 menu and click Uninstall).

You can also uninstall FBackup using the Add/Remove Programs option from Start->Settings->Control Panel.

Related Topics:

System Requirements


Command Line Parameters

Installing FBackup with command line parameters

FBackup can be installed with various command line parameters that are useful when an unattended installation is needed.

Syntax

msiexec /i fbSetup.msi [switches]

Switches can be any combination of the following parameters:

/QUIET - Instructs Setup to be quiet. When a setup is quiet, there is no user interaction and the installation progress window is not displayed. However the error messages during installation are displayed.

/PASSIVE - Instructs Setup to be quiet. When Setup is quiet, the wizard and the background window are not displayed but the installation progress window is. Everything else is normal so for example error messages during installation are displayed. If a restart is necessary and the /NORESTART command isn't used (see below) and Setup is quiet, it will display a "Reboot now?" message box.

/q[n|b|r|f] - Sets user interface level

n - No user interface

b - Basic user interface

r - Reduced user interface

f - Full user interface (default)

/NORESTART - Do not restart after the installation is complete

APPDIR="installation path" - Overrides the default directory name displayed on the Select Destination Location wizard page. A fully qualified pathname must be specified.

Bellow is a list of tasks that should be initially selected or deselected. To select a task, mark it as "TRUE". To deselect a task, use "". Only the specified tasks (and their children) will be selected; the rest will be used as default.

CREATE_DESKTOP_ICON="TRUE"|"" - Choose if a desktop icon will be created or not.


Commands

Toolbar

The toolbar contains a selection of the most important FBackup functions.

New - starts the New Backup Wizard

Open - creates a new backup job from the opened ".fkc" or ".ini" file

Properties - opens a dialog to edit the backup job configuration

Backup - starts the backup process for the currently selected backup job. Clicking the small arrow displays the following drop-down menu:

· Make - performs the backup type defined in backup properties
· Make Full - performs a full backup regardless of the backup type

Restore - starts the Restore Wizard

· Restore Latest Version - restores the latest version to its original location without showing the Restore wizard
· Restore Latest Version To - restores the latest version to another location (prompts for one) without showing the Restore wizard

Cancel - cancels the backup, test or restore process

Refresh - reloads the backup catalog

Menu commands

File

· New Backup... starts the New Backup Wizard, same as the New toolbar button or keyboard shortcut Ctrl+N
· Open Backup... creates a new backup job from the opened ".fkc" or ".ini" file, same as the Open toolbar button or the keyboard shortcut Ctrl+O
· Open Backup From - creates a new backup job from the opened ".fkc" or ".ini" file, and user can select to open the catalog from multiple locations as: local hard drive, network, FTP or SFTP server.
· Create Like duplicates the selected backup job, same as the toolbar button Create Like or the keyboard shortcut Ctrl+E
· Create Shortcut... creates a shortcut to a backup job (for easy backup execution from outside the program) on your desktop, quick launch or other location
· Delete Backup - removes the current selected backup, same as the toolbar button Delete or the keyboard shortcut Ctrl+Del
· Properties... opens the backup properties window, same as the toolbar button Properties or the keyboard shortcut Ctrl+P
· Exit - exits the application, same as the keyboard shortcut Alt+F4

View

· Open Folder - shows list of folders that can be opened with Windows Explorer
· Destination Folder - folder containing the destination files
· Catalog Folder - folder containing the ".fkc" files
· Initialization Folder - folder containing the ".ini" files
· Job Logs - contains a list of available logs
· Last Backup Log - shows the latest backup log for the selected backup job. If there is no log file, the menu is disabled.
· Last Restore Log - shows the latest restore log for the selected backup job. If there is no log file, the menu is disabled.
· Open Log Folder - opens Windows Explorer showing the contents of the log folder
· View Application Log - shows the application's log file. If there is no log file, the menu is disabled.
· Restore Default Layout - restores FBackup's windows size, position and columns

Actions

· Backup
· Make Backup - starts the backup process for the selected backup job, same as the Backup toolbar button or keyboard shortcut F6
· Make Full Backup - performs a full backup regardless of the backup type
· Restore
· Restore... starts the Restore wizard same as the Restore toolbar button or the keyboard shortcut F7
· Restore Latest Version - restores the latest version to its original location without showing the Restore wizard
· Restore Latest Version To... - restores the latest version to another location (prompts for one) without showing the Restore wizard
· Cancel (F8) - cancels the backup, test or restore process, same as the Cancel toolbar button
· Refresh (F5) - reloads the backup catalog

Tools

· Plugins - opens the Manage Plugins window
· Getting Started - opens the Getting Started window
· Options - opens the Options window

Help

· FBackup Help (F1) - opens the help file
· Visit FBackup.com opens the FBackup website
· Visit the support forum opens the forum page
· Check for updates - displays a window with the available updates
· About FBackup - opens the About box of FBackup

Related Topics:

Keyboard Shortcuts


Getting Started

This window is displayed when you first run FBackup. You can also access this window if you select Getting Started from the Tools menu.

There are two large buttons for backup and restore and a list of articles about FBackup.

Backup

Press this button to create or run backup jobs.

Create a new Backup

Press the New button to start creating a new backup job using the New Backup Wizard.

Run Selected Backup

Select an existing backup job from the list and press Backup to run the selected job.

Restore

Open an Existing Backup

Use the Open button to recreate a backup job from the backup catalog (.fkc) or from the initialization file (.ini).

The recreated backup job will be added to the backup list.

Restore Selected Backup

Select an existing backup job from the list and press Restore to open the Restore Wizard.

If you don't want to show the FBackup Startup window next time you open FBackup, uncheck the Show this dialog at next start option.

By default this option is checked.


Backup List

Backup list contains all the defined backups visible in the left side of FBackup's main window.

To configure a backup job's appearance (icon and label) in the backup list, you have to open the Backup Properties window, switch to the General tab, change the name of the backup job.

When right clicking a backup job, a menu is displayed giving the following options:

· Make Backup - starts the backup process for the selected backup job
· Make Full Backup - performs a full backup regardless of the backup type
· Restore - opens the Restore Wizard window for the currently selected backup job
· Restore Latest Version - starts the latest version restore process for the selected backup job
· Restore Latest Version To - opens a window to select the folder were you want the backup to be restored
· Cancel - aborts current backup process
· Job Logs - lets you open and view the Last Backup Log, Last Restore Log
· Create Shortcut... creates a shortcut to the backup job
· Create Like - duplicates a backup job
· Delete Backup - deletes a backup job
· Properties... opens the Backup Properties window


Create Shortcut

The Create Shortcut window can be opened from the File->Create Shortcut... menu item or by right-clicking the backup job from the backup list and selecting Create Shortcut... It creates a shortcut for the backup job on a designated location and you can simply run the backup job by double-clicking it.

Once you have selected the Action to be performed and the backup job to run, press OK to create the shortcut. A window will prompt you to select a name for your shortcut and its destination. Once that's completed, the shortcut will be placed in the selected destination.

Run

· Backup job - Select a backup job from the list to be executed
· Backup group - Select a backup group from the list to be executed
· Backup all groups - The shortcut will start the back up for all groups
· One Touch Backup - The shortcut will start the backup job/group assigned to One Touch Backup

Execute

Main application

Option set by default. When you will double-click the backup shortcut, the main application will start and the backup will be executed. Furthermore, if the Close after run option is checked, FBackup will be closed after the backup job is executed.

Action

You can select an action to perform when you double-click on the shortcut:

· Backup

Clear backup before run

If this is checked, FBackup will first delete the ".fkc" file and all zip files associated with the current backup job and after that execute the action.

· Load - at the scheduled date it opens FBackup and selects the backup job

Priority

User can change the priority of the action started by the shortcut: backup, load, test or cleanup. Just move the cursor to a lower or higher priority level.

Related Topics:

Commands


Plugins

The Manage Plugins window allows you to add, remove, enable or disable the Backup4ll plugins.

After installing a plugin, you can use it on the What do you want to backup page when creating a new backup job using the New Backup Wizard or on the Sources page using Advanced mode (Backup Properties).

Add

Press this button to install a new backup plugin.

You will be asked to select the plugin file location from your computer. Multiple plugin files can be selected and open.

Delete

Use this button to remove one or more selected plugins from the list. This plugins will be removed from the New Backup Wizard too.

Please note that if you delete a plugin from FBackup, all backup jobs using that plugin will be removed when you restart FBackup.

Properties

Pressing this button will open a window with details about the selected plugin and its creator as: Plugin Name, File Name, Plugin GUID, Company, Company Site and Company E-mail.

Get Plugins

Pressing this button will open our internet website on the Free Backup Plugins page.

Here you can download plugins to be used when creating backup jobs.

Close

Press this button to close the Manage Plugins window.

Related Topics:

New Backup Wizard - What to backup?

Backup Properties - What to backup?


Keyboard Shortcuts

Keyboard shortcuts configured in FBackup:

New backup wizard - CTRL + N

Open backup - CTRL + O

Backup job properties - CTRL + P

Refresh - F5

Execute backup - F6

Restore - F7

Cancel - F8

55 focus menu Focus menu - F10

Related Topics:

Commands


Overview

Using the New Backup Wizard you can easily create a new backup job. The steps in wizard must be followed in the given order.

If you want to create a new backup job using advanced options, you can do that by pressing the Advanced mode button that will open the Backup Properties window. All settings from the New Backup Wizard are included in the Backup Properties.

Related Topics:

New Backup Wizard - Name and destination

New Backup Wizard - What do you want to backup?

New Backup Wizard - How do you want to backup?

New Backup Wizard - When do you want to backup?


Name and destination

In the first step of the New Backup Wizard you can configure the backup name and the backup destination.

Name your backup

Backup Name

Enter the name of the backup job. This name will appear in the backup list, right under the chosen picture. This field is mandatory.

The name of the backup job is closely related to the name of the subdirectory in destination that contains zipped and mirrored files and to the name of the catalog. That is why when you rename the backup job, the name of the catalog and the name of the subdirectory from destination are also changed if possible.

If the destination is on HDD (local), LAN (network) FTP or SFTP (remote) the name of the subdirectory and the name of the catalog can be changed, except for the case when you do not have enough permission to rename or some files are locked.

Where do you want to save your backup

User can select one of the available destinations:

· Local: hard disk drive, floppy drive, zip drive, USB drive, mapped network drive
· Network: UNC network drive

Related Topics:

New Backup Wizard - Overview

New Backup Wizard - What do you want to backup?

New Backup Wizard - How do you want to backup?

New Backup Wizard - When do you want to backup?


Local

You can use a valid local destination for your backup: hard disk drives, floppy disk drives, zip drives, USB drives .

The Local option is selected by default when you define a new backup. From the Drive list, you can select either one of your hard disk partitions, mapped network drives, the floppy disk. By default, the first partition is selected (usually C:).

In the Folder where to perform the backup field by default it is the path to the My FBackup 4 folder (\Users\<user name>\Documents\MyFBackup 4). You can click the Browse button and select a destination folder of your choice where the backup will be stored.

If the destination drive is missing , an error message is shown containing the list of missing drives. The user can choose Cancel to stop the backup process or Retry to check the drive again. If the scheduler starts the backup then the system will retry as many times as set in the Tools->Options->Backup window and if still not possible to access the drive it will abort the backup process.

Related Topics:

New Backup Wizard - Name and destination


Network

You can use a network destination for your backup by selecting the Network option in the Where do you want to save your backup? section.

Click the Browse button and go through the My Network Places to select a destination where the backup will be stored.

You can also enter network paths in the Folder field. Only a full path is allowed. For example, suppose \\Backup_Server\PC1 is mapped on your workstation as drive X, then the following paths are both valid and indicate the same folder: \\Backup_Server\PC1\Backup or X:\Backup.

Make sure you can write in the destination and in the selected folder (you have the proper rights and the media is not write-protected) before finishing the backup configuration. You can enter an User name and Password to access the network destination if it requires authentication. If you are logged in as an user that has rights to write to the specified network destination, you can check the First use Windows auth. option. What this option does is that it checks on the network destination if the logged in user has rights to access it.

After entering the path and eventually the username and password, use the Test button to see if the destination is reachable and that you have sufficient rights to access it. The network connection was tested successfully pop-up message means that the network destination was accessible. In case of insufficient rights the following error message will appear: Network connection error. Access is denied. In this case you have to either make sure that the entered username and password values are correct, or contact the network administrator to obtain the necessary rights.

If the destination is missing (when the network is disconnected), an error message is shown.

The user can choose Cancel to stop the backup process or Retry to check the network connection again.

Related Topics:

New Backup Wizard - Name and destination


What do you want to backup?

In the second step of the New Backup Wizard, you must select the files and folders to be used by FBackup for the backup.

You can:

· add a whole folder by pressing the Add folder button
· add one or several files by pressing the Add files button
· remove any file or folder by selecting it and pressing the Remove button
· exclude subdirectories and files from backup by un-checking the thickbox chk-icon

You must add at least one file or directory in order to continue with the next step of the wizard.

During backup, if the source drive is missing (when the network is disconnected for instance or CD/DVD/Blu-ray is missing), a warning message is shown containing the list of missing drives. The user can choose Abort to stop the backup process, Retry to check the drive again, Ignore to mark the source folder as deleted and continue with the next sources.

Filters list

In the right side of the New Backup Wizard window there is the Filters list. You can use these filters to customize the file selection.

By default, the list contains filters to exclude temporary and system files such as: hiberfil.sys, pagefile.sys etc. If you don't want to use a filter from that list, simply clear (un-check) it. Clear all filters if you want to backup all files.

Tips:

· try to keep the number of checked files and folders greater than the number of unchecked files and folders - backup process will run faster this way.
· you can add files/folders to the Sources window by dragging and dropping them from Windows Explorer.

Related Topics:

New Backup Wizard - Overview

New Backup Wizard - Name and destination

New Backup Wizard - How do you want to backup?

New Backup Wizard - When do you want to backup?


How do you want to backup?

In the third step of the New Backup Wizard you can choose the backup type.

How do you want to backup?

From the drop-down list, you can choose one of the available options:

· Make full
· Make mirror

Make full

Full backup is the starting point for all other backups and contains all the data in the folders and files that are selected to be backed up. Because full backup stores all files and folders, frequent full backups result in faster and simpler restore operations. Remember that when you choose other backup types, restore jobs may take longer.

Make mirror

A mirror backup is identical to a full backup, with the exception that the files are not compressed in zip files and they cannot be protected with a password. A mirror backup is most frequently used to create an exact copy of the backup data. It has the benefit that the backup files can also be readily accessed using tools like Windows Explorer.

If you choose the Make mirror option, you can also check the Compress option to zip each file individually, preserving the folder structure. This allows you to use the zip compression and encryption features.

Encrypt?

Use this option if you want to add zip protection to your backups. Type the password you want to use for this backup.

The default encryption used is Standard encryption (Zip2 compatible)

Related Topics:

New Backup Wizard - Overview

New Backup Wizard - Name and destination

New Backup Wizard - What do you want to backup?

New Backup Wizard - When do you want to backup?


When do you want to backup?

On the last page of the New Backup Wizard, you can choose When to run the backup.

How often?

From the drop-down list, you can select one of the available option:

· Manually - the backup job will be started manually by the user
· Daily - the backup job will be started daily at its scheduled time
· Weekly - the backup job will be started weekly at its scheduled time
· Monthly - the backup job will be started monthly at its scheduled time
· Shutdown - the backup job will be started at the computer shutdown

By default, the selected option is Manually.

What day?

This field is activated only when the Weekly or Monthly option is selected in the How often list.

If the Weekly option is selected, you can choose the day of the week when to run the backup.

If the Monthly option is selected, you can choose the day number of the month when to run the backup.

What hour?

From this field, you can select the hour for the backup job to start.

Related Topics:

New Backup Wizard - Overview

New Backup Wizard - Name and destination

New Backup Wizard - What do you want to backup?

New Backup Wizard - How do you want to backup?


Overview

The Backup Properties window can be used to create new backup jobs in the advanced mode, or to edit an existing backup job.

By default, the New Backup Wizard will be used to create new backup jobs.

Related Topics:

Backup Properties- General

Backup Properties- Destination

Backup Properties- Sources

Backup Properties- Advanced

Backup Properties- Scheduler


General

The General page defines the appearance of the backup job in the backup list.

Name

Enter the name of the backup job. This name will appear in the backup list, right under the chosen picture. This field is mandatory.

The name of the backup job is closely related to the name of the subdirectory in destination that contains zipped and mirrored files and to the name of the catalog. That is why when you rename the backup job, the name of the catalog and the name of the subdirectory from destination are also changed if possible.

If the destination is on HDD (local), LAN (network) the name of the subdirectory and the name of the catalog can be always changed, except for the case when you do not have enough permission to rename or some files are locked.

Description

You can write in here a text describing the backup job defined

Icon

Press the Change Icon button to manage the backup job icons. This icon will be shown in the Backup List. You can add a new icon by clicking on the Add button. Only Windows icons (files with ".ico" extension) or bitmaps (files with ".bmp" extension) can be added to the list. To remove an icon from the list, you have to select it and then click on the Delete button. By default, each new backup job icon will be the first icon from the Change Icon list.

Related Topics:

New Backup Wizard and Backup Properties- Sources

New Backup Wizard and Backup Properties- Destination

New Backup Wizard and Backup Properties- Advanced

New Backup Wizard and Backup Properties- Scheduler


Destination

The Destination page defines where the backup archive will be stored.

Destination

Valid destination types:

· Local hard drive
· External hard drive
· Network

Selecting a backup destination type on the Destination page, will enable the options on the corresponding type page.

You can also change the backup destination from any destination type page by checking the Change destination to... option.

If you lost your backup job from the backup list and you want to recreate it, you can do so by using the File->Open backup option and selecting an existing ".fkc" or ".ini" file. The same action takes place if you double click on the ".fkc" file. A new backup job configuration will be added to the backup list and the configuration of the new backup job is copied from the ".fkc" file.

Related Topics:

Destination - Local hard drive

Destination - External hard drive

Destination - Network


Local hard drive

You can use a valid local hard disk destination for your backup. The Local hard drive option is selected by default when you define a new backup.

Destination

If the current backup destination is not a local hard drive, you can change it by checking the Change destination to local hard drive option.

In the Folder where to perform the backup field by default it is the path to the My FBackup 4 folder (\Documents and Settings\<user name>\My Documents\MyFBackup 4). You can click on the Browse... button and select a location of your choice where the backup will be stored.

In destination folder field, you can use Environment Variables as %Computername%, %SystemDrive%, %UserName% etc.

Related Topics:

Backup Properties- Destination

Destination - External hard drive

Destination - Network


External hard drive

You can select an external hard drive as destination for backup.

Destination

If the current backup destination is not an external hard drive, you can change it by checking the Change destination to local hard drive option.

From the External hard drive list, you can select either an USB or a Firewire external hard drive.

You can type a folder name in the Folder field or you can click the Browse button to choose another folder where the backup will be stored.

In destination folder field, you can use Environment Variables as %Computername%, %SystemDrive%, %UserName% etc.

Related Topics:

Backup Properties- Destination

Destination - Local hard drive

Destination - Network


Network

You can choose to save your backup to a shared network drive (another computer or NAS).

Destination

You can use a network destination for your backup by selecting the Network option from the Destination window or by checking the Change destination to network option from the network page.

Click the Browse button to open My Network Places and select a destination where the backup will be stored.

You can also enter network paths in the Network path (UNC) field. Only a full path is allowed. For example, suppose \\Backup_Server\PC1 is mapped on your workstation as drive X, then the following paths are both valid and indicate the same folder: \\Backup_Server\PC1\Backup or X:\Backup.

In destination folder field, you can use Environment Variables as %Computername%, %SystemDrive%, %UserName% etc.

Authentication

Make sure you can write in the destination and in the selected folder (you have the proper rights and the media is not write-protected) before finishing the backup configuration. You can enter an User name and Password to access the network destination if it requires authentication.

After entering the path and eventually the username/password, use the Test network connection button to see if the destination is reachable and that you have sufficient rights to access it. The network connection was tested successfully pop-up message means that the network destination was accessible. In case of insufficient rights the following error message will appear: Network connection error. Access is denied. In this case you have to either make sure that the entered username/password values are correct, or contact the network administrator to obtain the necessary rights.

If the destination is missing (when the network is disconnected), an error message is shown.

The user can choose Cancel to stop the backup process or Retry to check the network connection again.

Related Topics:

Backup Properties- Destination

Destination - Local hard drive

Destination - External hard drive


Sources

The Sources page defines what files and folders will be used by FBackup for the backup.

You can:

· add a whole folder by pressing the Add folder button
· add one or several files by pressing the Add files button
· remove any file or folder by selecting it and pressing the Remove button
· exclude subdirectories and files from backup by un-checking the thickbox chk-icon
· select all files and folders by pressing the Check all button
· unselect all files and folders by pressing the Uncheck all button

At least one source must be added to the backup job.

If the source drive is missing , a warning message is shown containing the list of missing drives. The user can choose Abort to stop the backup process, Retry to check the drive again, Ignore to mark the source folder as deleted and continue with the next sources.

Tips:

· try to keep the number of checked files and folders greater than the number of unchecked files and folders - backup process will run faster this way.
· you can add files/foders to the Sources window by dragging and dropping them from Windows Explorer

Related Topics:

Backup Properties- General

Backup Properties- Destination

Backup Properties- Advanced

Backup Properties- Scheduler


Filters

The Filters page defines files and folders filters to be applied to backup sources. Only files and folders that match the filters will be added to backup.

You can use the Add include and Add exclude buttons to add filter rules for the current backup job.

75 backup properties filters

The system selects only files that match the include filter and do not match the exclude filter. This means the exclude filter is more powerful: if a file satisfies both include and exclude filters, it will be excluded.

Include and exclude filters are composed from filter restrictions. Two or more filter restrictions in the include filter means that a file must satisfy at least one restriction to be included in the backup. Two or more filter restrictions in the exclude filter means that a file must satisfy any restriction to be excluded.

Note:

Filters on files and filters on folders must be created individually. If you use a file and a folder filter condition in the same filter, files will be filtered only if both filter conditions were met.

Example:

If you use a single filter for .jpg files and Temp folder, only the .jpg files from Temp folder will be filtered. If you use separate filters for files and folders, all .jpg files and whole Temp folder will be filtered.

You can manage filter restrictions using the buttons:

· Add include - this will open a new Filter Properties window from where you can add a new include restriction to the filters list.
· Add exclude - this will open a new Filter Properties window from where you can add a new exclude restriction to the filters list.
· Edit - will open the selected filter's properties window. You will be able to modify the selected restriction.
· Copy - this will create a copy of the selected filter.
· Delete - will remove the selected filter from the list of include or exclude filters.

Related Topics:

File Filtering - File Filter

Restore Wizard - Filters

Backup Properties- General

Backup Properties- Sources

Backup Properties- Destination

Backup Properties- Advanced

Backup Properties- Scheduler


Type

Backup type

User can select one of these backup types:

· Full
· Mirror

The backup type can be changed from the Type page in Backup Properties.

Fullbackup backup use zip compression to reduce the size of the stored backup versions.

The mirror backup type creates in destination an exact copy of the source file without zipping them.


Full

If the Full type is not your default backup type, you can check the Select Full as the default backup type option.

Related Topics:

Backup Properties - Type

Backup Properties - Mirror


Mirror

A mirror backup is identical to a full backup, with the exception that the files and folders are not compressed in zip files and they cannot be protected with a password. A mirror backup is most frequently used to create an exact copy of the backup source data. The sources folder tree will be recreated in the destination.

If the Mirror type is not your default backup type, you can check the Select Mirror as the default backup type option.

Create full paths (including drive letter)

Sometimes there can be sources with the same names. The system will detect this conflict situation and will show a warning message.

To avoid files to be overwritten check the Save full folder info option. This will create the full path of the source in the destination.

For example, suppose we have the backup source "C:\My Documents\My Pictures". Without this option, only the My Pictures folder will be created and its subfolders. With this option set, the destination will contain the C folder, My Documents inside C folder, My Pictures inside My Documents folder and so on. By default this option is unchecked.

Remove excluded or deleted files from backup

Use this option to remove from the backup the files that were deleted (or excluded) from the backup sources. When you select this option (unchecked by default), you'll get a warning message that the deleted files will be removed from the backup too - press Yes if you want to continue.

Related Topics:

Backup Properties - Type

Backup Properties - Full


Compression

On the Compression page, you can configure the compression and encryption settings.

Encrypt the zip files

No encryption

The zip files created are not protected by password for unauthorized access.

Standard encryption (Zip2 compatible)

This is the standard Zip 2.0 encryption: an older encryption technique that provides relatively weak security compared to AES encryption. Zip 2.0 encryption format cannot provide protection from individuals with access to specialized password recovery tools. Its advantage over AES encryption is the compatibility with all third party zip applications.

Set password

After you press this button, a windows with the following fields will appear:

· New password

Manually enter the password you want to use for your zip files in this field

· Confirm new password

Re-enter the password in this field to avoid typing errors.

· Old password

This field is enabled only when the backup job already has a password. You can change the password only if you enter the old one in this field. This way only the owner of the backup will be allowed to change the password.

The system makes it possible to set different passwords for the same backup job, so the backup may contain zip files with different passwords.

Tips:

· when choosing a password, it is recommended that you use a combination of letters and numbers and at least 8 characters.
· FBackup does not store passwords. Make sure that you remember all passwords that have been used for a backup job, or you will not be able to restore your files.


Advanced

Options on this page affect the way a particular backup job is executed.

Run action before backup

Run program/action

Check this option and select one of the predefined actions or choose a different executable file. You can either enter directly the path to the program (has to be between quotes) or click the browse button to browse for the file. FBackup waits until the action is finished before proceeding with the actual backup process.

The <Clear backup> predefined action deletes the ".fkc" file and all zip files associated with the current backup job.

Run action after backup

Run program/action

Check this option and select one of the predefined actions or choose a different executable file. You can either enter directly the path to the program (has to be between quotes) or click the browse button to browse for the file. FBackup does not wait for the action to be finished before proceeding.

Available predefined actions:

· <Stand by> - The computer will enter in the Stand by state after the backup is executed.
· <Hibernate> - Computer enters in Hibernate (if available) after the backup execution.
· <Log off> - Logs off current user.
· <Shut down> - Shuts down the computer after the backup was executed.


Scheduler

Scheduler

Scheduler lists all the available information about the scheduled tasks and allows you to Add, Edit, Delete and Schedule new tasks. This only applies to the current backup job.

Right-clicking an existing scheduled task (or using the top buttons) will display the following options:

· Add - opens the Scheduler Properties window and allows you to add a new scheduled task
· Edit
· Properties - opens the Scheduler Properties window where you can edit selected the scheduled task
· Schedule - opens the Windows Scheduled Tasks properties window that allows you to set the time and frequency for the selected scheduled task.
· User and password - opens a window where you can set the username and the password.
· Delete - removes the selected scheduled task
· Refresh - refreshes the scheduled tasks list

There are several columns in the Schedulers window that provide information for each scheduled task:

· Enabled - if the checkbox is marked then the scheduled task will run, if is unchecked it will not be executed
· Scheduler - shows the scheduler type: Windows, Standalone or Shutdown.
· Action - shows the type of action associated with the scheduled task (default, full)
· Job Name - shows the task name assigned by the scheduler
· Status - displays the status of the scheduled task
· Next Run Time - calculates the next date and time when the scheduled task will run.
· Last Run Time - shows the last date and time when the scheduled task ran.
· Schedule - shows the type of schedule selected for the task
· User - shows the user name for which the job is scheduled to run

The scheduled tasks in the list can be sorted by clicking on the column headers. The right-click menu on the column header provides a handy way to show/hide columns (except the Enabled which are grayed out).

Related Topics:

Scheduler - Scheduled Jobs

Backup Properties- General

Backup Properties- Sources

Backup Properties- Destination

Backup Properties- Advanced


Scheduler Properties

The Scheduler Properties window will be displayed when you click on the Add or Edit button in the main Scheduler window or in the Scheduler page of the Backup Properties. This allows you to add or edit a scheduled task for the current backup job.

Execute

Main application

This is the option set by default. If FBackup is closed when a scheduled task needs to be executed, the main application starts and the task runs. Furthermore, if the Close after run option is checked, FBackup will be closed after the task is executed.

Action

You can select an action to perform when the scheduled task for the current backup job runs:

· Backup

Clear backup before run

If this is checked, FBackup will first delete the ".fkc" file and all zip files associated with the current backup job and after that execute the scheduled backup.

· Load - At the scheduled date it opens FBackup and selects the backup job

Related Topics:

Backup Properties - Scheduler


Where and how to restore

Using the Restore Wizard you can restore from a backup job. In the first step you can choose the destination, the priority of the execution and customize the restore operation if you wish.

Where do you want to restore?

Use original location

Copies the files from the zip backup into the original location. If a file with the same name already exists, a dialog will be shown prompting for an action before the restore can continue.

Choose another location

Copies files from the zip backup to a different folder. If selected, you can choose a different folder to restore files from the backup.

Do not create drive letter folder

If checked, FBackup will restore the files in the designated location using the original directory structure. If you select this option and you have files from multiple drives, some files might get overwritten. For example, if you backed up your Documents and Settings folder from your C drive, when you restore it to a different location having the Do not create drive letter folder unchecked, FBackup will first create a folder named C and in it place the Documents and Settings folder. If you would have checked the Do not create drive letter folder option, the folder named C wouldn't have been created.

How do you want to restore?

Restore the latest version of all files

FBackup will restore the latest version for all the files in the backup.

Choose files and restore the latest version

FBackup will restore the latest version for all the files in the backup. You will be able to filter the files using the Preview page.

Choose/filter files and restore the latest version

FBackup will restore the latest version of the files. Files that are excluded from backup are not restored. Check the status of the files in the Explore view of the main screen.

Restore excluded and deleted files

If this option is checked, the latest version of all files will be restored, even if these files were excluded from the backup.

Related Topics:

Restore Wizard - What do you want to restore?

Restore Wizard - Do you want to filter the files?


What do you want to restore?

This is the second step of the Restore Wizard. It appears only for Choose files and restore from the latest version, Choose/filter files and restore the latest version options.

You can uncheck the files you don't want to restore. By default, all files are checked.

Information provided for each file:

· File/Folder - Name of the file/folder
· Size - Size of the the file
· Modified - Date and time when the file version was last modified (at backup execution)
· Backup no. - The last backup number containing the file

The file versions in the list can be sorted by clicking on the column headers. The right-click menu on the column header provides a handy way to show/hide unnecessary columns (except the File/Folder column which is grayed out).

Related Topics:

Restore Wizard - Where and how to restore

Restore Wizard - Do you want to filter the files?


To what date do you want to restore?

This is the third step of the Restore Wizard if the Choose/filter files and restore any version option was chosen.

Restore as of

This option allows you to restore your files and folders to a specified date. Just select the data, press Apply and then press Finish.

The purpose of this step is to let you select versions to restore. Use left mouse clicks together with SHIFT and/or CTRL keys to select several backup numbers to restore. The most recent version of a file in the selected backup number will be restored. If you select all backup numbers, then a full restore is performed just as the Choose/filter files and restore the latest version restore option.

Note: If you used the Limit number of file versions option, restoring the files as of a specified date could not restore all your files if some of them were deleted by the file version limitation.

If you use the Mirror backup type, the Restore as of feature is not available. The Mirror backup type does not keep track of file versions. Only the last version is available for restore.

Information provided for each version:

· Type - Type of the Backup. Each of the backup types is represented by a descriptive icon: Full, [image] Mirror
· Backup Date - Date and time when the version was added to the backup
· Backup No. - Number of the backup increment
· File No. - Number of files in the backup
· Folder No. - Number of folders in the backup
· Comp. Size - Size of the file version (compressed)
· Uncomp. Size - Size of the file version (uncompressed)
· Label - Label of the backup number. This column is hidden by default

Related Topics:

Restore Wizard - Where and how to restore

Restore Wizard - What do you want to restore?

Restore Wizard - Do you want to filter the files?

Restore Wizard - Preview the files to be restored


Do you want to filter the files?

This is the third step of the Restore Wizard for Choose/filter files and restore the latest version restore type. You can filter the files to be restored.

Its behavior is the same as the Filters page of the New Backup Wizard or the Backup Properties window, except that the process is restore and not backup.

The Filters page defines files filters to be applied to files that are going to be restored. Only files and folders that match the filters will be restored.

You can add include or exclude filters. By default all files are included in the list to be restored.

The system selects only files that match the include filter and do not match the exclude filter. This means the exclude filter is more powerful: if a file satisfies both include and exclude filters, it will not be processed by the system.

Include and exclude filters are composed from filter restrictions:

· two or more filter restrictions in the include filter means that a file must satisfy at least one restriction to be restored.
· two or more filter restrictions in the exclude filter means that a file must satisfy any restriction to be excluded.

The exclude filters have the Use as exclude filter box checked.

You can manage filter restrictions using the buttons:

· Add include - this will open a new window from where you can add a new restriction to the list of include filters.
· Add exclude - this will open a new window from where you can add a new restriction to the list of exclude filters.
· Edit - will open the same window as Add, with the selected filter's properties. You will be able to modify the selected restriction.
· Copy - will create a copy of the selected filter.
· Delete - will delete the selected filter from the list.

Related Topics:

File Filtering - File Filter

File Filtering - Overview

Backup Properties - Filters

Restore Wizard - Where and how to restore

Restore Wizard - What do you want to restore?


Preview the files to be restored

This page is the final step of the Restore Wizard. It appears only if the Preview files at the end of wizard option is checked. The purpose of this step is to show a preview of the files that will be restored. If any other customization is required, user must go back and reselect the files to be restored.

For the Choose/filter files and restore any version restore type, files and folders shown in the tree are calculated based on selected backup versions. Files that have not been backed up in the selected backup versions or were filtered will not be shown in the tree. Selecting all backup versions in the Choose/filter files and restore any version restore type is the same as using the Choose/filter files and restore the latest version type.

Related Topics:

Restore Wizard - Where and how to restore

Restore Wizard - What do you want to restore?

Restore Wizard - To what date do you want to restore

Restore Wizard - Do you want to filter the files?


Overview

File filtering in FBackup provides an intuitive way to define what files and folders to back up or restore.

Select Folders and Files for filtering

The files can be filtered when added to backup. On the Backup Properties->Sources page each file and folder is shown in the tree with a checkbox in front of it. If you uncheck it, the file or folder will be excluded from the backup or restore process.

After applying filters, each file and folder is shown in the tree with a checkbox in front of it. If you uncheck it, the file or folder will be excluded from the backup or restore process.

Filter

The role of the filter is to restrict the files from the sources or destination that will participate in the backup or restore process. The filter actually consists of two filters: the include filter and the exclude filter.

Include filter shows which files will be included in the backup or restore process.

Exclude filter shows the files that will be excluded from the backup or restore. If the "Use as exclude filter" box is not checked, it means that filter is an include one.

By default, the filter are defined as include filters and the "Use as exclude filter" box is unchecked. If no filters are defined, then all the files and folders from the sources will be backed up or restored.

Related Topics:

File Filter

Backup Properties - Filters


File Filter

The Edit file filter item window is shown every time a file filter restriction is added or modified. It can be opened by pressing the Add button from the Filters page (New Backup Wizard, Backup Properties, Restore Wizard window or Tools->Options) or the Edit button (if filters are already defined).

General

In the Filter name field you can type the name of the created filter. By default, the "New filter configuration" name is assigned. If you use an existing filter, the name of that filter is used.

File name

Enabling this will allow defining filters based on file name pattern.

Press Add and select an existing file extension from the Filter combo (*.doc, *.pdf, *.zip etc.). If the extension does not exist in the combo, just type it in and press OK. You can use the Edit or Delete buttons to modify/remove the file name filters defined.

File name patterns can include:

· * - it matches one or more letters. For example a*.doc matches all files that start with a and have .doc extension
· ? - it matches only one letter. For example a*.do? matches all files that start with a and have any extension composed of three letters, the first two being do

Related Topics:

Backup Properties - Filters

File Filtering - Overview

Restore Wizard - Filters


General

The General page of the Options window (accessible from the Tools, Options menu item) contains general settings of the program.

Language

In the Language section you can select the language of the program interface by choosing another one from the drop down list. Only the languages that were installed with the program are displayed. The language of the interface changes only after the Options window is closed by pressing the OK button. The selected language is kept as long as you don't change it or it becomes invalid due to software updates.

The text box below the Language field shows details about the selected language (like translator name and contact information).

Related Topics:

Options - Startup

Options - Application folders

Options - Updates


Startup

The Startup page of the Options window (accessible from the Tools, Options menu item) contains startup related settings of the program.

Startup and tray

Start at Windows startup

If checked the program is started when Windows starts. By default this option is not checked.

Show "Getting Started"

If checked, the "Getting Started" window is displayed when you start FBackup.

Related Topics:

Options - General

Options - Application folders

Options - Updates


Application folders

The Application folders page of the Options window (accessible from the Tools, Options menu item) contains general settings of the program.

Override plugins folder

This is the folder where the plugin files are saved. You can use the Browse button browse to select an existing folder. By default this option is set to the "Application Data\Softland\FBackup 4\Plugins" folder of your Window login account profile.

Related Topics:

Options - General

Options - Startup

Options - Updates


Updates

 Top Previous

On the Updates page of the Options window (accessible from the Tools, Options menu item) you can configure FBackup when to check for updates.

Check for updates

Check mode

User can choose one of these modes:

· Manual - user will manually check for new updates. This option is selected by default.
· Reminder - the program will remind you with the selected frequency to check for new updates
· Automatically - the program will automatically check for new updates with the selected frequency.

Frequency

User can set the frequency for FBackup to remind or to automatically check for new updates.

Check at application startup

If checked, the program will check for new updates at application startup.

Related Topics:

Options - General

Options - Startup

Options - Application folder


.topic 2846
Mirror backup that copies NTFS permissions and alternate streams
.topic 2849
Backup and test operations can be paused/resumed/stopped
.topic 2856
Automatic updates
.topic 2848
Back-up empty folders
.topic 2853
Brief view and "Getting Started" window with shortcuts to main operations
.topic 2854
Possibility to set memory usage for backing up
.topic 2855
MSI setup for automatic deployment
.topic 2850
Standard encryption (Zip2 compatible)
.topic 2851
Command line version
.topic 2852
Schedule backups (using Windows scheduler)
.topic 2804
Brief view
.topic 2805
View jobs/groups as: Tree, Icons or List
.topic 2806
Lock program interface with a password
.topic 2807
Automatic updates
.topic 2887
Search as-you-type for backup jobs/groups in backup list
.topic 2888
Show History window with backup/restore/test/cleanup logs
.topic 2889
Microsoft Outlook backup plugin
.topic 2890
Show/hide main toolbar
.topic 2891
MSI setup for automatic deployment
.topic 2808
Possibility to set memory usage for backing up
.topic 2892
Plug-n-backup
.topic 2809
Restore all files as of specific date
.topic 2857
Save storage space
.topic 2858
In FBackup you have two options for saving the storage space. You can use the Yes, limit number of file versions and Yes, limit maximum number of stored backups to options to reduce the backup size. When you limit the number of backups, you can also use the Merge backups option to perform an internal merge operation between backups to maintain the maximum limit. These options can be used only for Full, Differential and Incremental backup type.
.topic 2859
Use SCSI Pass Through Direct Layer (SPTD)
.topic 2860
Selected by default. FBackup uses this internal burning engine to write CD, DVD, HD-DVD or Blu-ray discs. SPTD is a new method of access to storage devices and has the ability to provide direct control of devices without risk of compromising it by some malicious 3rd party filter drivers or other "rootkit" applications.
.topic 2861
SPTD is currently supported only on Microsoft OS Windows 2000 and above. SPTD (similar to other access layers) is not removed from your system after FBackup uninstall, in order not to disrupt other applications that may use it.
.topic 2509
Plugins
.topic 2528
The Manage Plugins window allows you to add, remove, enable or disable the Backup4ll plugins.
.topic 2527
After installing a plugin, you can use it on the What do you want to backup page when creating a new backup job using the New Backup Wizard or on the Sources page using Advanced mode (Backup Properties).
.topic 2526

.topic 2525
Add
.topic 2524
Press this button to install a new backup plugin.
.topic 2523
You will be asked to select the plugin file location from your computer. Multiple plugin files can be selected and open.
.topic 2522
Delete
.topic 2521
Use this button to remove one or more selected plugins from the list. This plugins will be removed from the New Backup Wizard too.
.topic 2520
Please note that if you delete a plugin from FBackup, all backup jobs using that plugin will be removed when you restart FBackup.
.topic 2519
Properties
.topic 2518
Pressing this button will open a window with details about the selected plugin and its creator as: Plugin Name, File Name, Plugin GUID, Company, Company Site and Company E-mail.
.topic 2517
Get Plugins
.topic 2516
Pressing this button will open our internet website on the Free Backup Plugins page.
.topic 2515
Here you can download plugins to be used when creating backup jobs.
.topic 2514
Close
.topic 2513
Press this button to close the Manage Plugins window.
.topic 2512
Related Topics:
.topic 2511
New Backup Wizard - What to backup?
.topic 2529
Backup Properties - What to backup?
.topic 2530
History
.topic 2531
The History window can be open from View->History.
.topic 2827

.topic 2534
In History window you can see all logs for the backup, restore, test and clean actions.
.topic 2533
The logs can be filtered by job/group name, action type, status (success, warning or error) and date.
.topic 2532
Double click or right-click on a log to open it.
.topic 2556
You can also open the History window if you right-click the job/group in the backup list and choose the Job History/Group History option.
.topic 2557
In this case, the History window will be automatically filtered for that backup job/group.
.topic 2558
You can customize the History window if you right-click on the header and check another columns.
.topic 2551
The available columns are:
.topic 2552
Name - shows the name of the backup job/group. It cannot be unchecked
.topic 2553
Type - shows the type of the backup: job or group
.topic 2554
Default Backup Type - shows the default backup type for each backup job
.topic 2547
Action Type - shows what action was performed: backup, restore, test or cleanup
.topic 2548
Action Backup Type - shows what type of backup was performed: full, differential, incremental or mirror
.topic 2549
Forced - shows if the backup type was forced or it was the default one
.topic 2550
Application - shows if the main application or command line was used to run that backup
.topic 2543
Start Date - shows the backup start date
.topic 2544
End Date - shows the backup end date
.topic 2545
Duration - shows the backup duration
.topic 2546
Status - shows the backup status: success, warning or error
.topic 2539
Files - shows the number of files backed up
.topic 2540
Folders - shows the number of folders backed up
.topic 2541
Size Uncomp - shows the uncompressed backup size
.topic 2542
Size Comp - shows the compressed backup size
.topic 2535
Log Path - shows the path of the log file
.topic 2536
Under the history list, there is the Export button which can be used to Export all columns or Export all visible columns.
.topic 2537
Selecting one of these two options, will open the Save statistics as window where you can type a name and select the path for the file.
.topic 2538
The history will be exported into a CSV file format.
.topic 2371
Overview
.topic 2374
Using the New Backup Wizard you can easily create a new backup job. The steps in wizard must be followed in the given order.
.topic 2373
If you want to create a new backup job using advanced options, you can do that by pressing the Advanced mode button that will open the Backup Properties window. All settings from the New Backup Wizard are included in the Backup Properties.
.topic 2372
The New Backup Wizard will be used to create new backup jobs, if the Use New Backup Wizard to create backup jobs option (from the Other  section in Tools->Options->Preferences) is checked. If that option is not checked, the Backup Properties will be used to create new backup jobs.
.topic 2443
Related Topics:
.topic 2444
New Backup Wizard - Name and destination
.topic 2445
New Backup Wizard - What do you want to backup?
.topic 2446
New Backup Wizard - How do you want to backup?
.topic 2447
New Backup Wizard - When do you want to backup?
.topic 2454
Name and destination
.topic 2455
In the first step of the New Backup Wizard you can configure the backup name and the backup destination.
.topic 2456
[PICTURE 56 new backup wizard1.png]
.topic 2457
Name your backup
.topic 2458
Backup Name
.topic 2459
Enter the name of the backup job. This name will appear in the backup list, right under the chosen picture. This field is mandatory.
.topic 2460
The name of the backup job is closely related to the name of the subdirectory in destination that contains zipped and mirrored files and to the name of the catalog. That is why when you rename the backup job, the name of the catalog and the name of the subdirectory from destination are also changed if possible.
.topic 2828
If the destination is on HDD (local), LAN (network) FTP or SFTP (remote) the name of the subdirectory and the name of the catalog can be changed, except for the case when you do not have enough permission to rename or some files are locked.
.topic 2462
Where do you want to save your backup
.topic 2463
User can select one of the available destinations:
.topic 2464
Local: hard disk drive, floppy drive, zip drive, USB drive, mapped network drive
.topic 2465
Network: UNC network drive
.topic 2467
Related Topics:
.topic 2468
New Backup Wizard - Overview
.topic 2469
New Backup Wizard - What do you want to backup?
.topic 2470
New Backup Wizard - How do you want to backup?
.topic 2471
New Backup Wizard - When do you want to backup?
.topic 2375
Local
.topic 2380
You can use a valid local destination for your backup: hard disk drives, floppy disk drives, zip drives, USB drives .
.topic 2379
The Local option is selected by default when you define a new backup. From the Drive list, you can select either one of your hard disk partitions, mapped network drives, the floppy disk. By default, the first partition is selected (usually C:).
.topic 2378

.topic 2377
In the Folder where to perform the backup field by default it is the path to the My FBackup 4 folder (\Users\<user name>\Documents\MyFBackup 4). You can click the Browse button and select a destination folder of your choice where the backup will be stored.
.topic 2376
If the destination drive is missing , an error message is shown containing the list of missing drives. The user can choose Cancel to stop the backup process or Retry to check the drive again. If the scheduler starts the backup then the system will retry as many times as set in the Tools->Options->Backup window and if still not possible to access the drive it will abort the backup process.
.topic 2448
Related Topics:
.topic 2449
New Backup Wizard - Name and destination
.topic 2381
Network
.topic 2382
You can use a network destination for your backup by selecting the Network option in the Where do you want to save your backup? section.
.topic 2383
 [PICTURE 57 new backup wizard2.png]
.topic 2384
Click the Browse button and go through the My Network Places to select a destination where the backup will be stored.
.topic 2385
You can also enter network paths in the Folder field. Only a full path is allowed. For example, suppose \\Backup_Server\PC1 is mapped on your workstation as drive X, then the following paths are both valid and indicate the same folder: \\Backup_Server\PC1\Backup or X:\Backup.
.topic 2386
Make sure you can write in the destination and in the selected folder (you have the proper rights and the media is not write-protected) before finishing the backup configuration. You can enter an User name and Password to access the network destination if it requires authentication. If you are logged in as an user that has rights to write to the specified network destination, you can check the First use Windows auth. option. What this option does is that it checks on the network destination if the logged in user has rights to access it.
.topic 2387
After entering the path and eventually the username and password, use the Test button to see if the destination is reachable and that you have sufficient rights to access it. The network connection was tested successfully pop-up message means that the network destination was accessible. In case of insufficient rights the following error message will appear: Network connection error. Access is denied. In this case you have to either make sure that the entered username and password values are correct, or contact the network administrator to obtain the necessary rights.
.topic 2388
If the destination is missing (when the network is disconnected), an error message is shown.
.topic 2389
[PICTURE 58 new backup wizard3.png]
.topic 2390
The user can choose Cancel to stop the backup process or Retry to check the network connection again.
.topic 2450
Related Topics:
.topic 2451
New Backup Wizard - Name and destination
.topic 2391
FTP
.topic 2392
FBackup supports backing up to a remote computer or device using FTP (File Transfer Protocol) connection. This is a practical backup destination because the backed up data can be easily accessed from any other computer with an Internet connection. Select the FTP option from the Where do you want to save your backup? section to be able to configure the backup to FTP.
.topic 2393
[PICTURE 59 new backup wizard4.png]
.topic 2394
Use configuration
.topic 2395
You can select an already defined FTP configuration given that you added one in the Tools->Options->FTP window. All the fields will be filled with the information from the configuration file. If no configuration was previously defined, you will have to enter the other details.
.topic 2396
Host / Port
.topic 2397
In this field you have to enter the name or IP address for the FTP server and a port if different than the default FTP port (21). The format is host:port; e.g. ftp.FBackup.com:1002 will backup to ftp.FBackup.com connecting through port 1002.
.topic 2398
Folder
.topic 2399
Enter a folder name where the backup files will be stored on the remote computer via FTP. If the folder does not exist, a new one is created with that name. If that field is left blank, FBackup will automatically create a folder using the name of the backup job and place the backup files in there.
.topic 2400
User
.topic 2401
In this field you can enter the user name for the FTP server.
.topic 2402
Password
.topic 2403
Type the password used for FTP server access.
.topic 2404
There are FTP servers that allow anonymous access (public FTP servers). You can connect to these types of FTP servers using as user name Anonymous and your email address as password. It is not recommended to backup important files to public FTP servers.
.topic 2405
By pressing the Test button you can check to see if the settings you have entered are correct. If the test was successful, The ftp connection was tested successfully message will be displayed.
.topic 2452
Related Topics:
.topic 2453
New Backup Wizard - Name and destination
.topic 2898
SFTP
.topic 2899
FBackup supports backing up to a remote computer or device using FTP (File Transfer Protocol) connection. This is a practical backup destination because the backed up data can be easily accessed from any other computer with an Internet connection. Select the FTP option from the Where do you want to save your backup? section to be able to configure the backup to FTP.
.topic 2900
[PICTURE 59 new backup wizard4.png]
.topic 2901
Use configuration
.topic 2902
You can select an already defined FTP configuration given that you added one in the Tools->Options->FTP window. All the fields will be filled with the information from the configuration file. If no configuration was previously defined, you will have to enter the other details.
.topic 2903
Host / Port
.topic 2904
In this field you have to enter the name or IP address for the FTP server and a port if different than the default FTP port (21). The format is host:port; e.g. ftp.FBackup.com:1002 will backup to ftp.FBackup.com connecting through port 1002.
.topic 2905
Folder
.topic 2906
Enter a folder name where the backup files will be stored on the remote computer via FTP. If the folder does not exist, a new one is created with that name. If that field is left blank, FBackup will automatically create a folder using the name of the backup job and place the backup files in there.
.topic 2907
User
.topic 2908
In these field you can enter the user name for the FTP server.
.topic 2909
Password
.topic 2910
Type the password used for FTP server access.
.topic 2911
There are FTP servers that allow anonymous access (public FTP servers). You can connect to these types of FTP servers using as user name Anonymous and your email address as password. It is not recommended to backup important files to public FTP servers.
.topic 2912
By pressing the Test button you can check to see if the settings you have entered are correct. If the test was successful, The ftp connection was tested successfully message will be displayed.
.topic 2913
Related Topics:
.topic 2914
New Backup Wizard - Name and destination
.topic 2406
What do you want to backup?
.topic 2407
In the second step of the New Backup Wizard, you must select the files and folders to be used by FBackup for the backup.
.topic 2408
[PICTURE 03 how to configure a new backup2.png]
.topic 2409
You can:
.topic 2410
add a whole folder by pressing the Add folder button
.topic 2411
add one or several files by pressing the Add files button
.topic 2412
remove any file or folder by selecting it and pressing the Remove button
.topic 2413
exclude subdirectories and files from backup by un-checking the thickbox [PICTURE chk-icon.png]
.topic 2414
You must add at least one file or directory in order to continue with the next step of the wizard.
.topic 2415
During backup, if the source drive is missing (when the network is disconnected for instance or CD/DVD/Blu-ray is missing), a warning message is shown containing the list of missing drives. The user can choose Abort to stop the backup process, Retry to check the drive again, Ignore to mark the source folder as deleted and continue with the next sources.
.topic 2418
Tips:
.topic 2419
try to keep the number of checked files and folders greater than the number of unchecked files and folders - backup process will run faster this way.
.topic 2420
you can add files/folders to the Sources window by dragging and dropping them from Windows Explorer.
.topic 2472
Related Topics:
.topic 2473
New Backup Wizard - Overview
.topic 2474
New Backup Wizard - Name and destination
.topic 2475
New Backup Wizard - How do you want to backup?
.topic 2476
New Backup Wizard - When do you want to backup?
.topic 2421
How do you want to backup?
.topic 2423
In the third step of the New Backup Wizard you can choose the backup type.
.topic 2424
[PICTURE 61 new backup wizard6.png]
.topic 2425
How do you want to backup?
.topic 2426
From the drop-down list, you can choose one of the available options:
.topic 2430
Make mirror
.topic 2437
Make mirror
.topic 2438
A mirror backup is identical to a full backup, with the exception that the files are not compressed in zip files and they cannot be protected with a password. A mirror backup is most frequently used to create an exact copy of the backup data.  It has the benefit that the backup files can also be readily accessed using tools like Windows Explorer.
.topic 2439
If you choose the Make mirror option, you can also check the Compress option to zip each file individually, preserving the folder structure. This allows you to use the zip compression and encryption features.
.topic 2477
Related Topics:
.topic 2478
New Backup Wizard - Overview
.topic 2479
New Backup Wizard - Name and destination
.topic 2480
New Backup Wizard - What do you want to backup?
.topic 2481
New Backup Wizard - When do you want to backup?
.topic 2482
When do you want to backup?
.topic 2484
On the last page of the New Backup Wizard, you can choose When to run the backup.
.topic 2485
[PICTURE 62 new backup wizard7.png]
.topic 2486
How often?
.topic 2487
From the drop-down list, you can select one of the available option:
.topic 2488
Manually - the backup job will be started manually by the user
.topic 2489
Daily - the backup job will be started daily at its scheduled time
.topic 2490
Weekly - the backup job will be started weekly at its scheduled time
.topic 2491
Monthly - the backup job will be started monthly at its scheduled time
.topic 2492
Shutdown - the backup job will be started at the computer shutdown
.topic 2493
By default, the selected option is Manually.
.topic 2494
What day?
.topic 2495
This field is activated only when the Weekly or Monthly option is selected in the How often list.
.topic 2496
If the Weekly option is selected, you can choose the day of the week when to run the backup.
.topic 2497
If the Monthly option is selected, you can choose the day number of the month when to run the backup.
.topic 2498
What hour?
.topic 2499
From this field, you can select the hour for the backup job to start.
.topic 2500
User
.topic 2501
In this field, by default, the current logged in user's login name will be displayed.
.topic 2502
Password
.topic 2503
If your user account has a password make sure that you enter it by pressing the Set password button. We do not save your password but it is needed in order to set up the scheduled task in the Windows Task Scheduler. If your user account does not have a password you must select the Allow blank passwords when scheduling option from Tools->Options->Preferences. Also, make sure that you enter the correct password - if the password is wrong the scheduled task will not run.
.topic 2504
Related Topics:
.topic 2505
New Backup Wizard - Overview
.topic 2506
New Backup Wizard - Name and destination
.topic 2507
New Backup Wizard - What do you want to backup?
.topic 2508
New Backup Wizard - How do you want to backup?
.topic 2559
External hard drive
.topic 2572
You can select an external hard drive as destination for backup.
.topic 2823
[PICTURE 66 backup properties external hard drive.png]
.topic 2560
Destination
.topic 2570
If the current backup destination is not an external hard drive, you can change it by checking the Change destination to local hard drive option.
.topic 2569
From the External hard drive list, you can select either an USB or a Firewire external hard drive.
.topic 2568
You can type a folder name in the Folder field or you can click the Browse button to choose another folder where the backup will be stored.
.topic 2567
Lock the destination to this external hard drive
.topic 2566
When disconnecting and reconnecting an external drive, your computer may not assign it the same drive letter. If the drive letter was changed, the backup might fail because FBackup is trying to backup to the same old drive letter which probably does not exist.
.topic 2565
Use this option if you want FBackup to detect the external drive after its own serial number and automatically change the backup destination according with the new drive letter.
.topic 2564
You should not check this option if you use a rotation backup scheme with two or more external hard drives.
.topic 2563
By default, this option is not checked.
.topic 2562
Enable disk spanning
.topic 2561
The option is effective when there is not enough space to copy all files in the external drive destination. If checked, the application will copy files to the destination until a file will not fit. Then it will ask you for another drive to continue with the rest of the files. If the option is not set, FBackup will stop when the destination drive is full.
.topic 2571
By default, this option is not checked.
.topic 2580
Related Topics:
.topic 2579
Backup Properties- Destination
.topic 2578
Destination - Local hard drive
.topic 2577
Destination - CD, DVD or Blu-ray
.topic 2576
Destination - Removable
.topic 2575
Destination - Network
.topic 2574
Destination - FTP
.topic 2581
Removable
.topic 2582
You can save your backup to a removable drive (USB flash drive, floppy etc) as destination for backup.
.topic 2824
[PICTURE 68 backup properties removable.png]
.topic 2590
Destination
.topic 2594
If the current backup destination is not a removable drive, you can change it by checking the Change destination to removable disk option.
.topic 2593
You can type a folder name in the Folder field or you can click the Browse button to choose another folder where the backup will be stored.
.topic 2789
Lock the destination to this external hard drive
.topic 2790
When disconnecting and reconnecting an external drive, your computer may not assign it the same drive letter. If the drive letter was changed, the backup might fail because FBackup is trying to backup to the same old drive letter which probably does not exist.
.topic 2791
Use this option if you want FBackup to detect the external drive after its own serial number and automatically change the backup destination according with the new drive letter.
.topic 2792
You should not check this option if you use a rotation backup scheme with two or more external hard drives.
.topic 2793
By default, this option is not checked.
.topic 2592
Erase disk before writing
.topic 2591
When this option is checked, the removable disk is erased before burning the backup files. By default this option is not marked.
.topic 2595
Volume label
.topic 2596
Use custom prefix
.topic 2597
You can type your own volume label prefix to customize the backups.
.topic 2587
Related Topics:
.topic 2586
Backup Properties- Destination
.topic 2585
Destination - Local hard drive
.topic 2584
Destination - External hard drive
.topic 2583
Destination - CD, DVD or Blu-ray
.topic 2588
Destination - Network
.topic 2589
Destination - FTP
.topic 2598
Customize
.topic 2602
On the Customize page you can refine the backup filters. It will show a tree with all selected sources for the backup job.
.topic 2601
[PICTURE 76 backup properties filters customize.png]
.topic 2600
When a folder is selected, the Add include and Add exclude buttons from the bottom are activated (these are activated only for folders, not for individual files). That means you can replace the main filter with a customized one. The customized filter is valid only for the selected folder and its descendants. Click the Add include or Add exclude button to define the customized file filter. This will open a Filter Properties window. You can define include or exclude filters in this window just as you do in the Filter page.
.topic 2599
All files and folders for which a customized filter is applied are shown in red color. You can Edit, Copy or Delete a customized filter by selecting the folder and clicking one of the buttons bellow.
.topic 2603
Related Topics:
.topic 2604
File Filtering - File Filter
.topic 2605
Type
.topic 2609
Backup type
.topic 2825
[PICTURE 77 backup properties type.png]
.topic 2613
User can select one of these backup types:
.topic 2614
Mirror
.topic 2615
The backup type can be changed from the Type page in Backup Properties.
.topic 2617
The mirror backup type creates in destination an exact copy of the source file without zipping them.
.topic 2623
Other
.topic 2624
If the Clear archive bit option is checked, the application will remove the Archive flag of the files that were added to the backup. By default FBackup uses the current comparison criteria and the information from catalog file to detect if a file was modified or not since the last backup, which is more accurate than using only the Archive bit (as other backup programs do). However, if you want to backup files based only on the Archive bit attribute, you can change the comparison criteria from the Properties->Type window.
.topic 2625
Related Topics:
.topic 2630
Backup Properties - Full
.topic 2629
Backup Properties - Differential
.topic 2628
Backup Properties - Incremental
.topic 2627
Backup Properties - Mirror
.topic 2631
Customize prefix of backup files
.topic 2645
Typically the name of the zip file is something like: "1_C.zip", "1_D.zip" etc. (one zip for each drive). The names of these zip files do not make much sense for the user but they can be customized by pressing the Insert tag button. Following tags are predefined:
.topic 2644
Backup Name (<BACKUP NAME>)
.topic 2643
Backup Number (<BACKUP NUMBER>)
.topic 2642
Backup Type (<BACKUP TYPE>)
.topic 2641
Backup Date (<DATE>)
.topic 2640
Backup Time (<TIME>)
.topic 2639
Backup Year (<YEAR>)
.topic 2638
Backup Month (<MONTH_MMM>)
.topic 2637
Backup Month - numeric (<MONTH_MM>)
.topic 2636
Backup Week (<WEEK>)
.topic 2635
Backup Day of Week (<DAY OF WEEK>)
.topic 2634
Backup Day (<DAY>)
.topic 2633
You can also add your text in the edit tag field. Use the Preview button to see how the names of the zip files will look like.
.topic 2632
Windows does not allow the following characters in the file name: / \ * ? : " < > |
.topic 2646
Therefore FBackup will prompt you to change these characters if present in the Customize zip name prefix field.
.topic 2647
Related Topics:
.topic 2652
Backup Properties - Type
.topic 2649
Backup Properties - Differential
.topic 2650
Backup Properties - Incremental
.topic 2651
Backup Properties - Mirror
.topic 2653
Customize prefix of backup files
.topic 2654
Typically the name of the zip file is something like: "1_C.zip", "1_D.zip" etc. (one zip for each drive). The names of these zip files do not make much sense for the user but they can be customized by pressing the Insert tag button. Following tags are predefined:
.topic 2655
Backup Name (<BACKUP NAME>)
.topic 2656
Backup Number (<BACKUP NUMBER>)
.topic 2657
Backup Type (<BACKUP TYPE>)
.topic 2658
Backup Date (<DATE>)
.topic 2659
Backup Time (<TIME>)
.topic 2660
Backup Year (<YEAR>)
.topic 2661
Backup Month (<MONTH_MMM>)
.topic 2662
Backup Month - numeric (<MONTH_MM>)
.topic 2663
Backup Week (<WEEK>)
.topic 2664
Backup Day of Week (<DAY OF WEEK>)
.topic 2665
Backup Day (<DAY>)
.topic 2666
You can also add your text in the edit tag field. Use the Preview button to see how the names of the zip files will look like.
.topic 2667
Windows does not allow the following characters in the file name: / \ * ? : " < > |
.topic 2668
Therefore FBackup will prompt you to change these characters if present in the Customize zip name prefix field.
.topic 2674
Automatically make full backup
.topic 2675
If the differential exceeds % of full backup size
.topic 2676
In time, the size of the differential can outgrow the full version. For maximum efficiency, the size of the differential should be kept as small as possible. This option will trigger the creation of a full backup when a certain percentage of the full backup will be exceeded (default is 50%).
.topic 2677
Make full backup when the differential exceeds
.topic 2678
If this is checked, FBackup will trigger the creation of a full backup when that custom size is reached  (default is 1 MBytes).
.topic 2669
Related Topics:
.topic 2670
Backup Properties - Type
.topic 2671
Backup Properties - Full
.topic 2672
Backup Properties - Incremental
.topic 2673
Backup Properties - Mirror
.topic 2679
Customize prefix of backup files
.topic 2680
Typically the name of the zip file is something like: "1_C.zip", "1_D.zip" etc. (one zip for each drive). The names of these zip files do not make much sense for the user but they can be customized by pressing the Insert tag button. Following tags are predefined:
.topic 2681
Backup Name (<BACKUP NAME>)
.topic 2682
Backup Number (<BACKUP NUMBER>)
.topic 2683
Backup Type (<BACKUP TYPE>)
.topic 2684
Backup Date (<DATE>)
.topic 2685
Backup Time (<TIME>)
.topic 2686
Backup Year (<YEAR>)
.topic 2687
Backup Month (<MONTH_MMM>)
.topic 2688
Backup Month - numeric (<MONTH_MM>)
.topic 2689
Backup Week (<WEEK>)
.topic 2690
Backup Day of Week (<DAY OF WEEK>)
.topic 2691
Backup Day (<DAY>)
.topic 2692
You can also add your text in the edit tag field. Use the Preview button to see how the names of the zip files will look like.
.topic 2693
Windows does not allow the following characters in the file name: / \ * ? : " < > |
.topic 2694
Therefore FBackup will prompt you to change these characters if present in the Customize zip name prefix field.
.topic 2695
Automatically make full backup
.topic 2700
Related Topics:
.topic 2701
Backup Properties - Type
.topic 2702
Backup Properties - Full
.topic 2703
Backup Properties - Differential
.topic 2704
Backup Properties - Mirror
.topic 2705
Related Topics:
.topic 2706
Backup Properties - Type
.topic 2707
Backup Properties - Full
.topic 2708
Backup Properties - Differential
.topic 2709
Backup Properties - Incremental
.topic 2710
Compression
.topic 2711
On the Compression page, you can configure the compression and encryption settings.
.topic 2826

.topic 2719
Compression
.topic 2718
Level
.topic 2717
You can set different compression levels for the backup:
.topic 2716
Zip without compression (Fastest) - files are just copied inside the zip archive, without any compression
.topic 2715
Low compression (Fast) - select this option if the size of the zip archive is not important, but the speed of the backup is
.topic 2714
Normal compression (Medium) - this is usually the best choice because it provides the optimum rate between zip archive size and the backup speed
.topic 2713
Best compression (Slow) - use this compression level to reduce the zip archive size as much as possible (the backup speed is reduced)
.topic 2712
Use No compression or Low compression if you backup large files to speed up the backup process. Use High compression when you want to create the smallest archive possible. This option takes more time if the files included in archive are large.
.topic 2720
Do not compress files of type
.topic 2721
The filter can be applied to increase the compression performance. It defines what types of files to be stored uncompressed in the zip file. These are files that are already compressed (e.g. zip, rar, mp3 or avi) and using the zip compression on them wouldn't result in a smaller sized backup. You can use the already defined file types or you can add others using the Default compression filter list in Tools->Options->Backup. The result will be that the backup will take less time when using compression.
.topic 2722
Always use temporary folder to create zip files
.topic 2723
If checked, the zip files are created in the temporary folder and then moved to the destination folder. This means that there should be enough free disk space on the drive where the temporary folder is located.
.topic 2724
When backing up to removable media (CD, DVD or Blu-ray disc, floppy, zip disk, etc.) this option is ignored, the zip files are always created in the temporary folder and then copied to the destination. When backing up to internal hard drives or LAN, you should uncheck this option to speed up the backup execution. By default this option is not checked.
.topic 2725
Use alternate zipping mode
.topic 2726
If not checked (default zipping mode), each file is compressed in blocks that are immediately added to the final zip file. If checked (alternate zipping mode), each file is compressed in blocks in a temporary file. When the whole file is compressed in the temporary file, it is added to the final zip file.
.topic 2727
This option has effect only when backing up to internal hard drives and LAN. In all other cases this option is ignored. When backing up to LAN drives, it is recommended to check this option and uncheck Always use temporary folder to create zip files option. When backing up to internal hard drives, it is recommended to uncheck both options. By default this option is not checked.
.topic 2728
Encrypt the zip files
.topic 2729
No encryption
.topic 2730
The zip files created are not protected by password for unauthorized access.
.topic 2737
Standard encryption (Zip2 compatible)
.topic 2738
This is the standard Zip 2.0 encryption: an older encryption technique that provides relatively weak security compared to AES encryption. Zip 2.0 encryption format cannot provide protection from individuals with access to specialized password recovery tools. Its advantage over AES encryption is the compatibility with all third party zip applications.
.topic 2739
Set password
.topic 2740
After you press this button, a windows with the following fields will appear:
.topic 2741
New password
.topic 2742
Manually enter the password you want to use for your zip files in this field
.topic 2743
[PICTURE 84 backup properties compression2.png]
.topic 2744
Confirm new password
.topic 2745
Re-enter the password in this field to avoid typing errors.
.topic 2746
Old password
.topic 2747
This field is enabled only when the backup job already has a password. You can change the password only if you enter the old one in this field. This way only the owner of the backup will be allowed to change the password.
.topic 2748
The system makes it possible to set different passwords for the same backup job, so the backup may contain zip files with different passwords.
.topic 2749
Tips:
.topic 2750
when choosing a password, it is recommended that you use a combination of letters and numbers and at least 8 characters.
.topic 2751
FBackup does not store passwords. Make sure that you remember all passwords that have been used for a backup job, or you will not be able to restore your files.
.topic 2765
Related Topics:
.topic 2764
Backup Properties - Type
.topic 2766
Run action before backup
.topic 2769
Run program/action
.topic 2768
Check this option and select one of the predefined actions or choose a different executable file. You can either enter directly the path to the program (has to be between quotes) or click the [PICTURE browse.png] button to browse for the file. FBackup waits until the action is finished before proceeding with the actual backup process.
.topic 2767
The <Clear backup> predefined action deletes the ".fkc" file and all zip files associated with the current backup job.
.topic 2770
<Clear backup d=7> - Clear backup is executed only if 7 days have passed since the first backup increment (the full backup).
.topic 2771
<Clear backup n=10> - Clear backup is executed only if the number of file versions is 10.
.topic 2772
<Clear backup d=7 n=10> - Clear backup is executed if 7 days have passed since the first backup increment (the full backup) or if the number of file versions is 10.
.topic 2773
<Clear backup dw=1,2,7> - Clear backup is executed only in the first, second and seventh day of the week (Monday, Tuesday and Sunday in the given example). Valid values: 1-7 (if a parameter outside of these values is set, it will be ignored).
.topic 2774
<Clear backup dm=23, 30> - Clear backup is executed only in the 23rd and 30th day of the month. Valid values: 1-31 (if a parameter outside of these values is set, it will be ignored, same as using the value 31 for a month having only 30 days).
.topic 2775
Run only once
.topic 2776
If this option is set, the action will run only once at the next backup execution and the Run program/action option will be reset and disabled afterwards.
.topic 2877
Abort backup when action fails
.topic 2878
User can check this option to abort the backup if the action ran before the backup failed.
.topic 2879
FBackup uses the exit codes returned by the applications.
.topic 2880
If the exit code is 0 (zero), it means the action was successful.
.topic 2881
If the exit code is different than 0 (zero), the action was not successful and the backup will be aborted.
.topic 2872
FBackup returns exit codes after each task execution (backup, independent test or cleanup).
.topic 2873
As a general case, if the backup was successful, the exit code is 0, otherwise is different.
.topic 2874
Here are the possible exit codes:
.topic 2875
- if  backup was successful, the exit code is 0
.topic 2876
- if there are parameter errors or syntax errors, the exit code is 1
.topic 2867
- if  backup was aborted, the exit code is 2
.topic 2868
- if  backup was finished with warnings, the exit code is 3
.topic 2869
- if the independent test was finished with errors, the exit code is 4
.topic 2870
- if cleanup was finished with errors, the exit code is 5
.topic 2871
- if B4aCmd was not correctly installed, the exit code is 6
.topic 2777
Run action after backup
.topic 2778
Run program/action
.topic 2779
Check this option and select one of the predefined actions or choose a different executable file. You can either enter directly the path to the program (has to be between quotes) or click the [PICTURE browse.png] button to browse for the file. FBackup does not wait for the action to be finished before proceeding.
.topic 2780
Available predefined actions:
.topic 2781
<Stand by> - The computer will enter in the Stand by state after the backup is executed.
.topic 2782
<Hibernate> - Computer enters in Hibernate (if available) after the backup execution.
.topic 2783
<Log off> - Logs off current user.
.topic 2784
<Shut down> - Shuts down the computer after the backup was executed.
.topic 2785
Run only once
.topic 2786
If this option is set, the action will run only once at the next backup execution and the Run program/action option will be reset and disabled.
.topic 2787
Run program or action on
.topic 2788
You can set conditions to run the action after the backup: on Success, on Warnings or on Errors. You can check multiple options or a single one, but at least one option must be checked.
.topic 2330
Options - Email
.topic 2331
Options - Updates
.topic 2192
Views
.topic 2201
Default view
.topic 2209
The selected view will be assigned as default to the Views button from the application toolbar.
.topic 2208
The possible views are: Brief, Explore, Backup, Statistics and Summary.
.topic 2207
Show explorer icons
.topic 2206
If checked a small icon is shown for each file in the Explore view. The icon is the standard icon associated with the type of the file. You will see the same icons as in Windows Explorer. If the Explore view contains a large number of files, you can uncheck this option to show files faster. By default this option is checked.
.topic 2205
Hide empty folders on expand all
.topic 2204
If checked the folders that do not show any file in the Explore view will be automatically hidden when pressing the Expand All button. By default this option is not checked.
.topic 2203
Show context menu
.topic 2202
If checked it will display the context menu when right clicking on a file or folder in the main window's Explore view or the Sources page of the Backup Properties and New Backup Wizard windows. By default this option is checked.
.topic 2210
Job list
.topic 2211
Background color
.topic 2212
Press the (...) button if you want change the background color of the main window's Backup List and the button list of the Backup Properties window.
.topic 2213
View list as
.topic 2214
Choose the listing mode for the backup jobs and groups in the Backup List. The possible choices are: Tree, Icons and List.
.topic 2215
Sort backup jobs alphabetically in a group
.topic 2216
If checked the backup jobs are sorted alphabetically in each backup group. By default this option is not checked.
.topic 2217
Measurement unit
.topic 2218
Auto
.topic 2219
If checked the file sizes are shown like in Windows Explorer. By default this option is checked.
.topic 2220
Custom
.topic 2221
If checked you can see all file sizes in the same unit. You can set the desired unit from the drop down list. Possible choices are: Bytes, KB (kilobytes), MB (megabytes) or GB (gigabytes). Be advised that if you select GB as a unit, for files under 10MB the size will be shown as 0GB. By default this option is not checked.
.topic 2882
External program
.topic 2883
Difference viewer: Choose an application to compare the selected file version with the source file in Explore View.
.topic 2222
Other
.topic 2817

.topic 2223
NTFS daylight saving correction
.topic 2224
The Windows NT File System (NTFS) reports wrong file times after the clock changes according to daylight saving time rules. As a consequence, the program sees these files as changed and backs them up. When you check this option these files will not be reported as modified. By default this option is checked.
.topic 2225
Show Task Scheduler error message
.topic 2226
If checked FBackup will show an error message when a scheduled backup has errors. This requires user intervention for the backup to continue. By default this option is checked.
.topic 2227
Allow blank passwords when scheduling
.topic 2228
If checked this option will enable usage of blank passwords in your Windows system and in Windows Task Scheduler.
.topic 2814
When checking this option you may receive a message from you antivirus, letting you know there is a suspicious activity in FBackup.exe that might pose a security risk. You don't have to worry, you can press OK because FBackup just wants to modify a registry entry to allow blank passwords.
.topic 2229
[PICTURE 108 options preferences3.png]
.topic 2230
Blank passwords are disabled in Windows by default as a security measure. Instead of enabling this option we recommend to set a password for each Windows user account. By default this option is not checked.
.topic 2239
If you uncheck this option at a later time, you will be informed that for existing scheduled backups you'll need to provide an username/password in order to be able to run them.
.topic 2231
[PICTURE 109 options preferences4.png]
.topic 2232
Warn when insecure passwords are used
.topic 2233
If checked FBackup will display a warning window when you enter passwords for zip encryption that contain less than 8 characters.
.topic 2234
Show hidden files in open dialogs
.topic 2235
If checked files marked as hidden will be displayed in Open dialogs. This is very useful if you want to add hidden files to your backup sources. By default this option is checked.
.topic 2236
Use New Backup Wizard to create backup jobs
.topic 2237
If checked, when pressing the File->New Backup button, the New Backup Wizard will be open.
.topic 2238
If unchecked, the Backup Properties will be used to create the new job.
.topic 2332
Options - Updates
.topic 2318
Updates
.topic 2329
On the Updates page of the Options window (accessible from the Tools, Options menu item) you can configure FBackup when to check for updates.
.topic 2821

.topic 2319
Check for updates
.topic 2320
Check mode
.topic 2328
User can choose one of these modes:
.topic 2327
Manual - user will manually check for new updates. This option is selected by default.
.topic 2326
Reminder - the program will remind you with the selected frequency to check for new updates
.topic 2325
Automatically - the program will automatically check for new updates with the selected frequency.
.topic 2324
Frequency
.topic 2323
User can set the frequency for FBackup to remind or to automatically check for new updates.
.topic 2322
Check at application startup
.topic 2321
If checked, the program will check for new updates at application startup.
.topic 2357
Related Topics:
.topic 2367
Options - General
.topic 2366
Options - Preferences
.topic 2365
Options - Startup
.topic 2364
Options - Application folder
.topic 2363
Options - Backup
.topic 2362
Options - Filters
.topic 2361
Options - Logs and history
.topic 2360
Options - Backup on demand
.topic 2359
Options - CD, DVD or Blu-rayDVD
.topic 2358
Options - FTP
.topic 2368
Options - Email
.topic 2799
Support Request
.topic 2800
Before asking for support, please make sure you have installed the latest version of FBackup. Also visit our online Knowledgebase, as it contains valuable information and your questions might already be answered there.
.topic 2801
If you can’t find an answer to your questions in our Knowledgebase, please go to FBackup’s Help tab and click on Support Request. This will open an email and it will include at the bottom some basic information we would need (application build number, operating system and registration details).
.topic 2802
Please include in your support request the following details:
.topic 2810
Exactly what did you do?
.topic 2811
Can you reproduce the problem again?
.topic 2812
If possible send us a screenshot of the error message.
.topic 2813
We might ask you for additional information, if we cannot reproduce the problem.
.topic 2186
Support
.topic 2187
If you want to report bugs, feature requests or want to ask general software usage questions, you can contact our support department.
.topic 2191
Pressing the General Support button, starts a new email message that will be sent to the support team.
.topic 2189
If you experience any problems during the registration process, you can contact our sales department.
.topic 2188
Pressing the Sales Support button, starts a new email message that will be sent to the sales team.
.topic 2183
Check for Updates
.topic 2822

.topic 2185
You can manually check for updates from Help -> Check for Updates.
.topic 2184
In the Upgrade window, you can see if there are any updates available and what is new in the update.
.topic 2796
About
.topic 2797
The About page of FBackup contains information about the version and edition you have installed, as well as the information about the registration status. If FBackup is registered, you can see the Registration Name and Registration Key, otherwise it will show as UNREGISTERED and mention the number of days left until the trial version expires.


Filters

 Top

The Filters page defines files and folders filters to be applied to backup sources. Only files and folders that match the filters will be added to backup.

You can use the Add include and Add exclude buttons to add filter rules for the current backup job.

The system selects only files that match the include filter and do not match the exclude filter. This means the exclude filter is more powerful: if a file satisfies both include and exclude filters, it will be excluded.

Include and exclude filters are composed from filter restrictions. Two or more filter restrictions in the include filter means that a file must satisfy at least one restriction to be included in the backup. Two or more filter restrictions in the exclude filter means that a file must satisfy any restriction to be excluded.

Note:

Filters on files and filters on folders must be created individually. If you use a file and a folder filter condition in the same filter, files will be filtered only if both filter conditions were met.

Example:

If you use a single filter for .jpg files and Temp folder, only the .jpg files from Temp folder will be filtered. If you use separate filters for files and folders, all .jpg files and whole Temp folder will be filtered.

You can manage filter restrictions using the buttons:

· Add include - this will open a new Filter Properties window from where you can add a new include restriction to the filters list.
· Add exclude - this will open a new Filter Properties window from where you can add a new exclude restriction to the filters list.
· Edit - will open the selected filter's properties window. You will be able to modify the selected restriction.
· Copy - this will create a copy of the selected filter.
· Delete - will remove the selected filter from the list of include or exclude filters.

Related Topics:

File Filtering - File Filter

Restore Wizard - Filters

Backup Properties- General

Backup Properties- Sources

Backup Properties- Destination

Backup Properties- Advanced

Backup Properties- Scheduler